import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SharedModule } from '@shared/shared.module';
import { IBizComponentsModule } from '@ibizsys/components/ibiz-components.module';

<#--  视图关联视图（只引用模态框视图）  -->
<#list modalviews as modalview>
import { ${modalview.codeName}Module } from '@pages/${ngfilename('${modalview.getPSAppModule().codeName}')}/${ngfilename('${modalview.codeName}')}/${ngfilename('${modalview.codeName}')}.module';
</#list>
import { ${view.codeName}Component } from './${viewname}';
import { ${view.codeName}ModalService } from './${viewname}-modalservice';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    IBizComponentsModule,
    <#list modalviews as modalview>
    ${modalview.codeName}Module,
    </#list>
  ],
  exports: [
    ${view.codeName}Component
  ],
  declarations: [
    ${view.codeName}Component,
  ],
  entryComponents: [
    ${view.codeName}Component
  ],
  providers: [
    ${view.codeName}ModalService
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class ${view.codeName}Module { }