<#if view.isDynamicView() == true>
<ng-template #dynamicRef></ng-template>
<#else>
<#if toolbar?? && (view.getOpenMode() != 'POPUPMODAL')>
<div *ngIf="$isShowToolBar" class="ibiz-navigation-toolbar">
    ${toolbar.code}
</div>
</#if>
</#if>
<nz-card [nzBordered]="false" [ngClass]="{'ibiz-modal-view': isModal()}">
    <#if view.getOpenMode() == 'POPUPMODAL'>
    <#if view.isShowCaptionBar() || toolbar??>
    <ng-template #title>
        <#if view.isShowCaptionBar()><span>${view.getCaption()}</span></#if>
        <#if view.isDynamicView() == true>
            <ng-template #dynamicRef></ng-template>
        <#else>
            <#if toolbar??>
            <div class="ibiz-modalview-toolbar">
                ${toolbar.code}
            </div>
            </#if>
        </#if>
        
    </ng-template>
    </#if>
    </#if>

   <#ibizinclude>VIEW_QUICK_SEARCH.ftl</#ibizinclude>

    <#if searchform??>
    <#assign searchForm = view.getControl('SEARCHFORM')/>
    <div *ngIf="${searchForm.name}.$opened">
        ${searchform.code}
    </div>
    </#if>
    
    <#if grid??>
    ${grid.code}
    </#if>
</nz-card>